Bug 559654 - [abrt] crash in gedit-1:2.28.3-1.fc12
[abrt] crash in gedit-1:2.28.3-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:84723fd5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 12:03 EST by Valentin Cobelea
Modified: 2010-12-03 18:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:41:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.56 KB, text/plain)
2010-01-28 12:03 EST, Valentin Cobelea
no flags Details

  None (edit)
Description Valentin Cobelea 2010-01-28 12:03:33 EST
abrt 1.0.3 detected a crash.

How to reproduce
-----
1.open a text file from Nautilus


Comment: just opened a file (text) from nautilus

backtrace
-----
Summary: TB84723fd5 parser_diff.py:206:parse:IndexError: list index out of range

Traceback (most recent call last):
  File "/home/vali/.gnome2/gedit/plugins/classbrowser/tabwatch.py", line 86, in __update
    model = parser.parse(doc)
  File "/home/vali/.gnome2/gedit/plugins/classbrowser/parser_diff.py", line 206, in parse
    current_file.name = ln[1]
IndexError: list index out of range

Local variables in innermost frame:
files: []
changeset: None
ln: ['---']
text: From 536c43a06c12435c89718e46917f618a2ef01b90 Mon Sep 17 00:00:00 2001
From: Gwenole Beauchesne <gbeauchesne@splitted-desktop.com>
Date: Thu, 13 Aug 2009 14:43:30 +0000
Subject: [PATCH] Fix libva-x11-VERSION.so.* dependencies.

---
 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/src/Makefile.am b/src/Makefile.am
index 85e9157..1948099 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -39,7 +39,7 @@ libva_la_LIBADD = $(LIBVA_LIBS) -ldl
 libva_x11_la_SOURCES = 
 libva_x11_la_LIBADD  = $(libvacorelib) x11/libva_x11.la $(LIBVA_LIBS) $(X11_LIBS) $(XEXT_LIBS) $(DRM_LIBS) $(XFIXES_LIBS)
 libva_x11_la_LDFLAGS = $(LDADD)
-libva_x11_la_DEPENDENCIES = $(libvacorelib)
+libva_x11_la_DEPENDENCIES = $(libvacorelib) x11/libva_x11.la
 
 SUBDIRS = x11
 
-- 
1.5.4.3

self: <classbrowser.parser_diff.DiffParser instance at 0x9f1cacc>
geditdoc: <gedit.Document object at 0x9f24784 (GeditDocument at 0x9f56100)>
uri: file:///home/vali/Desktop/attachment.patch
lstrip: ---
linecount: 5
current_file: <classbrowser.parser_diff.Token instance at 0x9f1c08c>
line: ---

cmdline: gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.31.9-174.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
uuid: 84723fd5
Comment 1 Valentin Cobelea 2010-01-28 12:03:36 EST
Created attachment 387379 [details]
File: backtrace
Comment 2 Valentin Cobelea 2010-01-28 12:06:14 EST
Comment on attachment 387379 [details]
File: backtrace

>Summary: TB84723fd5 parser_diff.py:206:parse:IndexError: list index out of range
>
>Traceback (most recent call last):
>  File "/home/gigel/.gnome2/gedit/plugins/classbrowser/tabwatch.py", line 86, in __update
>    model = parser.parse(doc)
>  File "/home/gigel/.gnome2/gedit/plugins/classbrowser/parser_diff.py", line 206, in parse
>    current_file.name = ln[1]
>IndexError: list index out of range
>
>Local variables in innermost frame:
>files: []
> 
>-- 
>1.5.4.3
>
>self: <classbrowser.parser_diff.DiffParser instance at 0x9f1cacc>
>geditdoc: <gedit.Document object at 0x9f24784 (GeditDocument at 0x9f56100)>
>uri:
>lstrip: ---
>linecount: 5
>current_file: <classbrowser.parser_diff.Token instance at 0x9f1c08c>
>line: ---
Comment 3 Valentin Cobelea 2010-01-28 12:08:40 EST
-- ignore my last comment --
Comment 4 Bug Zapper 2010-11-03 19:41:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 18:41:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.